VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "xDir 2.0 Demonstrator Control Center"
   ClientHeight    =   4080
   ClientLeft      =   195
   ClientTop       =   435
   ClientWidth     =   12105
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4080
   ScaleWidth      =   12105
   Begin xDir200_Demo.LiteBtnCtrl lbtnExit 
      Height          =   495
      Left            =   4620
      Top             =   3300
      Width           =   3015
      _ExtentX        =   5318
      _ExtentY        =   873
      Caption         =   "Close All Demos and Exit"
      CaptionStyle    =   1
   End
   Begin VB.Frame Frame3 
      Caption         =   "Full-featured demos"
      Height          =   2775
      Left            =   120
      TabIndex        =   4
      Top             =   180
      Width           =   5835
      Begin xDir200_Demo.LiteBtnCtrl LiteBtn 
         Height          =   615
         Index           =   3
         Left            =   180
         Tag             =   "AdvFileEnum"
         Top             =   300
         Width           =   2055
         _ExtentX        =   3625
         _ExtentY        =   1085
         Caption         =   "Advanced File Enumeration"
      End
      Begin xDir200_Demo.LiteBtnCtrl LiteBtn 
         Height          =   615
         Index           =   4
         Left            =   180
         Tag             =   "AdvCS"
         Top             =   1920
         Width           =   2055
         _ExtentX        =   3625
         _ExtentY        =   1085
         Caption         =   "Advanced Context Search"
      End
      Begin xDir200_Demo.LiteBtnCtrl LiteBtn 
         Height          =   615
         Index           =   5
         Left            =   180
         Tag             =   "AdvFldrEnum"
         Top             =   1080
         Width           =   2055
         _ExtentX        =   3625
         _ExtentY        =   1085
         Caption         =   "Advanced Folder Enumeration"
      End
      Begin VB.Label Label1 
         Caption         =   "Like the previous sample, shows how you can create a folder list filtered by several criteria"
         Height          =   795
         Index           =   5
         Left            =   2400
         TabIndex        =   7
         Top             =   1080
         Width           =   3375
      End
      Begin VB.Label Label1 
         Caption         =   $"Main.frx":000C
         Height          =   795
         Index           =   4
         Left            =   2400
         TabIndex        =   6
         Top             =   1920
         Width           =   3375
      End
      Begin VB.Label Label1 
         Caption         =   "Shows how you can create a file list filtered by several criteria (file attributes, creation time, size, etc.)"
         Height          =   795
         Index           =   3
         Left            =   2400
         TabIndex        =   5
         Top             =   300
         Width           =   3375
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Basic demos"
      Height          =   2775
      Left            =   6120
      TabIndex        =   0
      Top             =   180
      Width           =   5835
      Begin xDir200_Demo.LiteBtnCtrl LiteBtn 
         Height          =   615
         Index           =   0
         Left            =   180
         Tag             =   "BasicEnum"
         Top             =   300
         Width           =   2175
         _ExtentX        =   4260
         _ExtentY        =   1085
         Caption         =   "Enumerating Files && Folders"
         CaptionStyle    =   1
      End
      Begin xDir200_Demo.LiteBtnCtrl LiteBtn 
         Height          =   615
         Index           =   1
         Left            =   180
         Tag             =   "FolderTree"
         Top             =   1080
         Width           =   2175
         _ExtentX        =   3625
         _ExtentY        =   1085
         Caption         =   "Building Folder Tree"
         CaptionStyle    =   1
      End
      Begin xDir200_Demo.LiteBtnCtrl LiteBtn 
         Height          =   615
         Index           =   2
         Left            =   180
         Tag             =   "ContextSearch"
         Top             =   1920
         Width           =   2175
         _ExtentX        =   3836
         _ExtentY        =   1085
         Caption         =   "Context Search"
         CaptionStyle    =   1
      End
      Begin VB.Label Label1 
         Caption         =   "Demonstrates how you can implement context search with xDir."
         Height          =   675
         Index           =   2
         Left            =   2520
         TabIndex        =   3
         Top             =   1920
         Width           =   3195
      End
      Begin VB.Label Label1 
         Caption         =   "In this sample you can find the basic technique of using xDir."
         Height          =   615
         Index           =   0
         Left            =   2520
         TabIndex        =   2
         Top             =   300
         Width           =   3195
      End
      Begin VB.Label Label1 
         Caption         =   "This demo demonstrates how you can build folder hierarchy using xDir and MS TreeView control."
         Height          =   675
         Index           =   1
         Left            =   2520
         TabIndex        =   1
         Top             =   1080
         Width           =   3195
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
   App.OleRequestPendingTimeout = 1000000 ' To remove the standard VB "Component Request Pending" dialog
End Sub

Private Sub Form_Unload(Cancel As Integer)
   pUnloadAllForms
End Sub

Private Sub LiteBtn_MouseLeave(Index As Integer)
   Label1(Index).FontBold = False
End Sub

Private Sub LiteBtn_MouseOver(Index As Integer)
   Label1(Index).FontBold = True
End Sub

Private Sub LiteBtn_Click(Index As Integer)
   Select Case LiteBtn(Index).Tag
   Case "BasicEnum": frmBasicEnum.Show
   Case "FolderTree": frmFolderTree.Show
   Case "ContextSearch": frmContextSearch.Show
   Case "AdvFileEnum": frmAdvFileEnum.Show
   Case "AdvFldrEnum": frmAdvFldrEnum.Show
   Case "AdvCS": frmAdvCS.Show
   End Select
End Sub

Private Sub lbtnExit_Click()
   pUnloadAllForms   ' You must unload all forms that use xDir in case
                     ' if the user has cancelled an enumeration;
                     ' otherwise your application and xDir DLL will retain in memory
End Sub

Private Sub pUnloadAllForms()
   Unload frmBasicEnum
   Unload frmFolderTree
   Unload frmContextSearch
   Unload frmAdvFileEnum
   Unload frmAdvCS
   Unload Me
End Sub

